// Internet Heute

Mittwoch, Oktober 08, 2008

// Need 4, Have 0 - Nix Gut


Bei der Verwendung von WordPress 2.5 bzw. 2.6 mit der deutschen Sprachdatei (deutsch (de_DE.mo)) gibt es oftmal komplette Aussetzer mit den folgenden Fehlermeldungen:

Warning: unpack() [function.unpack]: Type V: not enough input, need 4, have 0 in /htdocs/*******/wp-includes/gettext.php on line 91

Warning: unpack() [function.unpack]: Type V: not enough input, need 4, have 0 in /htdocs/*******/wp-includes/gettext.php on line 91

Fatal error: Maximum execution time of 30 seconds exceeded in /htdocs/*******/wp-includes/streams.php on line 77

Schuld daran ist die substr() Funktion. Diese muss komplett gegen die Verwendung der unpack() Funktion ausgetauscht um eine vergessene Initialisierung der Fileposition zu ergänzen.

Eine genaue Beschreibung des Problems inkl. Lösung mit PATCH findet ihr im "Code Styling Project".

Mittlerweile wurde auch die Ursache gefunden:
WordPress Fehler durch Sprachdateien - die Ursache.

0 Comments:

Kommentar veröffentlichen

Links to this post:

Link erstellen

http://www.blogger.com/template-edit.g?blogID=32756251

<< Home

 

Blogverzeichnis - Blog Verzeichnis bloggerei.de